| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
FunnelStatistics Class Reference

Manages statistics and user interface interactions for Lua-based funnel plugins. More...

`#include <funnel_statistics.h>`

Inheritance diagram for FunnelStatistics:

## Public Slots
void | funnelActionTriggered ()
| Slot triggered when a funnel action is executed from the UI.
void | displayFilterTextChanged (const QString &filter)
| Slot triggered when the text in the display filter field changes.

## Signals
void | openCaptureFile (QString cf_path, QString filter)
| Signal emitted to request opening a capture file.
void | setDisplayFilter (QString filter, FilterAction::Action action, FilterAction::ActionType filterType)
| Signal emitted to request setting a display filter.

## Public Member Functions
| FunnelStatistics (QObject *parent, CaptureFile &cf)
| Constructs a new FunnelStatistics object.
| ~FunnelStatistics ()
| Destroys the FunnelStatistics object.
void | retapPackets ()
| Retaps all packets in the capture file.
struct progdlg * | progressDialogNew (const char *task_title, const char *item_title, bool terminate_is_stop, bool *stop_flag)
| Creates a new progress dialog for funnel operations.
const char * | displayFilter ()
| Retrieves the current display filter.
void | emitSetDisplayFilter (const QString filter)
| Emits a signal to set the display filter in the main UI.
void | reloadPackets ()
| Triggers a reload of the packets in the capture file.
void | redissectPackets ()
| Triggers redissection of the packets.
void | reloadLuaPlugins ()
| Reloads all registered Lua plugins.
void | emitApplyDisplayFilter ()
| Emits a signal to apply the prepared display filter.
void | emitOpenCaptureFile (QString cf_path, QString filter)
| Emits a signal to open a new capture file.
void | loadInitFunnelMenus ()
| Loads and initializes the funnel menus based on registered plugins.

## Static Public Member Functions
static const QString & | actionName ()
| Retrieves the standard action name for the funnel statistics.

## Detailed Description

Manages statistics and user interface interactions for Lua-based funnel plugins.

## Constructor & Destructor Documentation

## ◆ FunnelStatistics()

FunnelStatistics::FunnelStatistics | ( | QObject * | parent,
|  | CaptureFile & | cf )
| explicit

Constructs a new FunnelStatistics object.

Parameters

  parent | The parent QObject.
  cf | The capture file associated with the statistics.

## Member Function Documentation

## ◆ actionName()

const QString & FunnelStatistics::actionName | ( |  | ) |
| inline static

Retrieves the standard action name for the funnel statistics.

Returns
  The action name string.

## ◆ displayFilter()

const char * FunnelStatistics::displayFilter | ( |  | ) |

Retrieves the current display filter.

Returns
  The display filter string.

## ◆ displayFilterTextChanged

void FunnelStatistics::displayFilterTextChanged | ( | const QString & | filter | ) |
| slot

Slot triggered when the text in the display filter field changes.

Parameters

  filter | The new filter string.

## ◆ emitOpenCaptureFile()

void FunnelStatistics::emitOpenCaptureFile | ( | QString | cf_path,
|  | QString | filter )

Emits a signal to open a new capture file.

Parameters

  cf_path | The path to the capture file.
  filter | An optional display filter to apply upon opening.

## ◆ emitSetDisplayFilter()

void FunnelStatistics::emitSetDisplayFilter | ( | const QString | filter | ) |

Emits a signal to set the display filter in the main UI.

Parameters

  filter | The filter string to apply.

## ◆ openCaptureFile

void FunnelStatistics::openCaptureFile | ( | QString | cf_path,
|  | QString | filter )
| signal

Signal emitted to request opening a capture file.

Parameters

  cf_path | The path to the capture file.
  filter | The filter to apply.

## ◆ progressDialogNew()

struct progdlg * FunnelStatistics::progressDialogNew | ( | const char * | task_title,
|  | const char * | item_title,
|  | bool | terminate_is_stop,
|  | bool * | stop_flag )

Creates a new progress dialog for funnel operations.

Parameters

  task_title | The title of the overall task.
  item_title | The title of the current item being processed.
  terminate_is_stop | True if terminating the dialog implies stopping the task.
  stop_flag | Pointer to a boolean flag set when the user requests a stop.

Returns
  A pointer to the created progress dialog structure.

## ◆ setDisplayFilter

void FunnelStatistics::setDisplayFilter | ( | QString | filter,
|  | FilterAction::Action | action,
|  | FilterAction::ActionType | filterType )
| signal

Signal emitted to request setting a display filter.

Parameters

  filter | The filter string.
  action | The filter action to perform.
  filterType | The type of the filter action.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/funnel_statistics.h
- /builds/wireshark/wireshark/ui/qt/funnel_statistics.cpp